Robot Simulator of the Robotics Group for Self-Organization of Control: ColorFilterImgProc Struct Reference

# ColorFilterImgProc Struct Reference

filters for a specific color (requires HSV, so use HSVImgProc before) More...

`#include <imageprocessors.h>`

Inherits lpzrobots::StdImageProcessor.

Collaboration diagram for ColorFilterImgProc:
[legend]

List of all members.

## Public Member Functions
| ColorFilterImgProc (bool show, float scale, int minhue, int maxhue, int sat_threshold=100, int val_threshold=50)
virtual | ~ColorFilterImgProc ()
virtual void | initDestImage (Camera::CameraImage &dest, const Camera::CameraImage &src)
| overload this function and initialise the dest.img and the dest.name
virtual void | process (const osg::Image *src, osg::Image *dest)
| overload this function and do processing here
## Public Attributes
int | minhue
int | maxhue
int | sat_threshold
int | val_threshold

## Detailed Description

filters for a specific color (requires HSV, so use HSVImgProc before)

Parameters:

  | minhue | minimal hue value to pass through

See also:
  HSVImgProc::Colors

Parameters:

  | maxhue | maximal hue value to pass through

See also:
  HSVImgProc::Colors

Parameters:

  | satThreshold | minimal saturation required to be considered as a color
  | valThreshold | minimal "value" required to be considered as a color

See also:
  HSVImgProc
  StdImageProcessor

## Constructor & Destructor Documentation

ColorFilterImgProc | ( | bool | show,
|  | float | scale,
|  | int | minhue,
|  | int | maxhue,
|  | int | sat_threshold = `100`,
|  | int | val_threshold = `50` |
| ) |  |  | `[inline]`

virtual ~ColorFilterImgProc | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual void initDestImage | ( | Camera::CameraImage & | dest,
|  | const Camera::CameraImage & | src |
| ) |  |  | `[inline, virtual]`

overload this function and initialise the dest.img and the dest.name

Implements StdImageProcessor.

virtual void process | ( | const osg::Image * | src,
|  | osg::Image * | dest |
| ) |  |  | `[inline, virtual]`

overload this function and do processing here

Implements StdImageProcessor.

## Member Data Documentation

int maxhue

int minhue

int sat_threshold

int val_threshold

The documentation for this struct was generated from the following file:

- imageprocessors.h